## ros-indigo-summit-xl-robot-control 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(summit_xl_robot_control)

find_package(catkin REQUIRED COMPONENTS 
    nav_msgs 
    robotnik_msgs
    roscpp 
    sensor_msgs 
    geometry_msgs 
    tf
    )



###################################
## catkin specific configuration ##
###################################

catkin_package(
  CATKIN_DEPENDS 
    nav_msgs 
    robotnik_msgs
    roscpp 
    sensor_msgs 
    geometry_msgs 
    tf
)

###########
## Build ##
###########


include_directories(
  ${catkin_INCLUDE_DIRS}
)


add_executable(summit_xl_robot_control src/summit_xl_robot_control.cpp)
add_executable(summit_xl_robot_control_vrep src/summit_xl_robot_control_vrep.cpp)

add_dependencies(summit_xl_robot_control robotnik_msgs_generate_messages_cpp)
add_dependencies(summit_xl_robot_control_vrep robotnik_msgs_generate_messages_cpp)


target_link_libraries(summit_xl_robot_control 
   ${catkin_LIBRARIES}
 )

target_link_libraries(summit_xl_robot_control_vrep
   ${catkin_LIBRARIES}
 )


#############
## Install ##
#############

install(
  TARGETS summit_xl_robot_control
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-summit-xl-robot-control (1.1.1-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-indigo-summit-xl-robot-control (1.0.10-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-indigo-summit-xl-robot-control (1.0.9-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Tue, 12 Jul 2016 22:00:00 -0000

ros-indigo-summit-xl-robot-control (1.0.8-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-indigo-summit-xl-robot-control (1.0.7-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-indigo-summit-xl-robot-control (1.0.6-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Sun, 03 Jul 2016 22:00:00 -0000

ros-indigo-summit-xl-robot-control (1.0.5-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Thu, 30 Jun 2016 22:00:00 -0000

ros-indigo-summit-xl-robot-control (1.0.4-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Thu, 30 Jun 2016 22:00:00 -0000

ros-indigo-summit-xl-robot-control (1.0.3-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Thu, 30 Jun 2016 22:00:00 -0000

ros-indigo-summit-xl-robot-control (1.0.2-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Thu, 30 Jun 2016 22:00:00 -0000

ros-indigo-summit-xl-robot-control (1.0.1-0trusty) trusty; urgency=high

  * Some spring cleaning
  * modified CMakeLists.txt and added urls and maintainers to package files
  * minor changes
  * robot_control: comments debug info
  * robot_control: changing angular sign to match new URDF wheel orientations
  * Mux added. Old files removed.
  * added summit_xl_robot_control
  * Removed old packages and new structure defined.
  * summit_xl_robot_control changed odom topic to parameter and value by default (was colliding with gazebo plugin)
  * fixing package dependencies
  * adding scissor movement
  * Changing command topics: using /summit_xl/robot_control/command for movement
  * Not anymore multi.
  * 1.0.0
  * Fixes some errors with the gazebo models
  * Delete debugging displays
  * Now it uses a tf_prefix for the odom->base_footprint transform
  * Fixed omni movement
  * Fixed more files
  * added first summit_xl_multi.launch
  * initial commit with v305 of svn
  * Contributors: Dani Carbonell, Jorge Arino, JorgeArino, carlos3dx, dani-carbonell, mcantero, rguzman, trurl
  * robot_control: comments debug info
  * robot_control: changing angular sign to match new URDF wheel orientations
  * Mux added. Old files removed.
  * added summit_xl_robot_control
  * Removed old packages and new structure defined.
  * summit_xl_robot_control changed odom topic to parameter and value by default (was colliding with gazebo plugin)
  * fixing package dependencies
  * adding scissor movement
  * Changing command topics: using /summit_xl/robot_control/command for movement
  * Not anymore multi.
  * 1.0.0
  * Fixes some errors with the gazebo models
  * Delete debugging displays
  * Now it uses a tf_prefix for the odom->base_footprint transform
  * Fixed omni movement
  * Fixed more files
  * added first summit_xl_multi.launch
  * initial commit with v305 of svn
  * Contributors: Dani Carbonell, Jorge Arino, JorgeArino, dani-carbonell, rguzman, trurl

 -- Carlos Villar <cvillar@robotnik.es>  Mon, 27 Jun 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-summit-xl-robot-control
Section: misc
Priority: extra
Maintainer: Carlos Villar <cvillar@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-robotnik-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Homepage: http://ros.org/wiki/summit_xl_robot_control
Standards-Version: 3.9.2

Package: ros-indigo-summit-xl-robot-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-robotnik-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Description: Control the robot joints in all kinematic configurations, publishes odom topic and, if configured, also tf odom to base_link.
 Usually takes as input joystick commands and generates as outputs references for the gazebo controllers defined in summit_xl_control.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-summit-xl-robot-control//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
